[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'EditBtn' (#lcl)

# TCheckItemEvent

Specifies an event handler is to determine if the specified Item is checked.

## Declaration

Source position: editbtn.pas line 221

`type TCheckItemEvent = function(`
`Item: TObject`
`):Boolean of object;`

## Arguments

`Item` |  | Object examined in the method.

## Function result

True when the item is checked.

## Description

TCheckItemEvent specifies an event handler that can be used only for items that have a checkbox. Returns True when the item is checked. It will be necessary to cast the object instance in Item to the correct data type in the event handler to access properties introduced in a TObject descendant.

TCheckItemEvent is the type used to implement the OnCheckItem event handler in TCustomControlFilterEdit.

## See also

TCustomControlFilterEdit.OnCheckItem |  | Has effect when items in the filtered container can be checked. Typically a CheckListbox.